export class CallRemoteRecorder {
	/**
	 * Retrieve info about recordings.
	 */
	getRecordings(): Promise<any[]>;

	pause(): Promise<void>;

	/**
	 * Start a recording of a call and save it in a file called "filename".
	 */
	start(filename: string): Promise<void>;

	/**
	 * Stop a recording of a call.
	 */
	stop(): Promise<void>;
}
