import {Set} from 'immutable';

export class Group {
	getId(): string;
	getName(): string;
	getParticipants(): Set<string>;
	getPhonebook(): Array<{name: string; address: string}>;
	with({name, participants}: {name: string; participants: Iterable<string>}): Group;
	plusParticipants(participants: Iterable<string>): Group;
	minusParticipants(participants: Iterable<string>): Group;
}
