import {EventEmitter2} from 'eventemitter2';
import {List} from 'immutable';
import {Group} from './Group';

export class GroupManager {
	emitter: EventEmitter2;
	getGroups(): List<Group>;
	createGroup(name: string, participants: Iterable<string>): Promise<Group>;
	saveGroup(group: Group): Promise<void>;
	deleteGroup(group: Group): Promise<void>;
	/** @deprecated */
	getPhonebook(group: Group): Array<{subscribers: string[]; name: string; id: string; contacts: Array<{name: string; address: string}>}>;
}
