export class InstantMessage {
	/**
	 * Get the message.
	 */
	getMessage(): string;

	/**
	 * Get the message' receiver.
	 */
	getReceiver(): string;

	/**
	 * Get the message's composer.
	 */
	getSender(): string;

	/**
	 * Sends the message.
	 */
	send(): Promise<any>;
}
