import { WacRequest } from '../WacRequest';
interface OldPhone {
    address: string;
    name: string;
}
interface OldEmail {
    type?: string;
    email: string;
}
/**
 * @deprecated Used from old ContactManager
 */
export interface ContactData {
    id: string;
    name: string;
    phones: OldPhone[];
    emails: OldEmail[];
    source: string;
    favorite: boolean;
    userId?: string;
}
/**
 * @deprecated Used from old ContactManager
 */
export declare class ContactsRetriever {
    private static readonly ADDRESS_BOOKS_PATHNAME;
    private static readonly DEFAULT_ADDRESS_BOOKS_QUERY;
    private wacRequest;
    constructor(wacRequest: WacRequest);
    getContacts(): Promise<ContactData[]>;
}
export {};
