import { Scheduler } from '../EventInterval';
import { Session } from './Session';
declare type SessionUpdater = (id: string) => Promise<Session>;
export declare class SessionsThread {
    private interval;
    private retained;
    private updateFn;
    private updatedFn;
    private onError;
    constructor(updateFn: SessionUpdater, updatedFn: () => void, onError: () => void, scheduler: Scheduler);
    retain(session: Session): void;
    private action;
    release(): void;
}
export {};
