import {RemoteSession} from '../session/RemoteSession';

export declare class RemoteCall {
	/**
	 * Returns identifier associated with this call.
	 */
	id: string;

	/**
	 * List of participants associated with this call.
	 */
	participants: string[];

	/**
	 * Session where this call exists.
	 */
	session: RemoteSession;
}
