import {EventEmitter2} from 'eventemitter2';
import {Presence} from './Presence';

export declare class Contact extends EventEmitter2 {
	avatar: string;
	address: string;
	contactDeviceId: string;
	deviceId: string;
	email: string;
	emails: Array<{type: string; email: string}>;
	favorite: boolean;
	id: string;
	isEditable: boolean;
	isWacUser: boolean;
	name: string;
	phone: string;
	phones: Array<{name: string; address: string}>;
	presence: Presence;
	source: string;
	unnormalizedPhones: Record<string, any>;
	getWacUserAddress(): string;
	remove(): Promise<void>;
}
