import { Observable } from 'rxjs';
import { WacRequest } from '../WacRequest';
import { ConferenceLogEntryDto, ConferenceLogEntryEvent } from './types';
/** @protected */
export declare class ConferenceLogService {
    private wacRequest;
    readonly contactEvent$: Observable<ConferenceLogEntryEvent>;
    constructor(wacRequest: WacRequest);
    fetch(limit: number, lastEntryStartTimestamp: number): Observable<readonly ConferenceLogEntryDto[]>;
}
